﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Stimulsoft.Report;

namespace StimulsoftWpfApplication
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private List<Client> Clients = new List<Client>();

        private void FillData()
        {
            Client c1 = new Client(1, "Jessica");
            Client c2 = new Client(2, "Rachel");
            Client c3 = new Client(3, "Jennifer");
            Client c4 = new Client(4, "Megan");
            Client c5 = new Client(5, "Kate");

            List<Quality> l1 = new List<Quality>();
            l1.Add(new Quality(1, new Product("A"), 1));
            l1.Add(new Quality(2, new Product("B"), 2));
            l1.Add(new Quality(3, new Product("C"), 3));
            l1.Add(new Quality(4, new Product("D"), 4));
            c1.Qualities = l1;

            List<Quality> l2 = new List<Quality>();
            l2.Add(new Quality(1, new Product("A"), 1));
            l2.Add(new Quality(3, new Product("B"), 2));
            l2.Add(new Quality(5, new Product("C"), 3));
            l2.Add(new Quality(7, new Product("D"), 4));
            c2.Qualities = l2;

            List<Quality> l3 = new List<Quality>();
            l3.Add(new Quality(2, new Product("A"), 1));
            l3.Add(new Quality(4, new Product("B"), 2));
            l3.Add(new Quality(8, new Product("C"), 3));
            l3.Add(new Quality(10, new Product("D"), 4));
            c3.Qualities = l3;

            List<Quality> l4 = new List<Quality>();
            l4.Add(new Quality(3, new Product("A"), 1));
            l4.Add(new Quality(2, new Product("B"), 2));
            l4.Add(new Quality(1, new Product("C"), 3));
            l4.Add(new Quality(0, new Product("D"), 4));
            c4.Qualities = l4;

            List<Quality> l5 = new List<Quality>();
            l5.Add(new Quality(11, new Product("A"), 1));
            l5.Add(new Quality(13, new Product("B"), 2));
            l5.Add(new Quality(17, new Product("C"), 3));
            l5.Add(new Quality(19, new Product("D"), 4));
            c5.Qualities = l5;

            Clients.Add(c1);
            Clients.Add(c2);
            Clients.Add(c3);
            Clients.Add(c4);
            Clients.Add(c5);
        }

        private void butDesign_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Clients", Clients);

            r.DesignWithWpf();
        }

        private void butShow_Click(object sender, RoutedEventArgs e)
        {
            StiReport r = new StiReport();
            r.Load("..\\..\\Report.mrt");
            FillData();

            r.RegBusinessObject("Clients", Clients);
                        
            r.ShowWithWpf();
        }
    }
}
